> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rcur.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Show product



## OpenAPI

````yaml /openAPI.json get /api/v2/products/{id}
openapi: 3.0.2
info:
  title: Laravel
  version: 2.0.0
servers:
  - url: https://rcur.app
security:
  - '': []
tags:
  - name: Customers
  - name: Payment Links
  - name: Subscriptions
  - name: Follow-ups
  - name: Orders
  - name: Payments
  - name: Mandates
  - name: Products
  - name: Organization
paths:
  /api/v2/products/{id}:
    get:
      tags:
        - Products
      summary: Show product
      responses:
        '200':
          description: Product details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Product'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Product:
      type: object
      required:
        - id
        - name
        - type
        - amount
        - currency
      properties:
        id:
          type: string
          example: prod_abc123
        name:
          type: string
          example: Premium Plan
        type:
          enum:
            - - once
              - subscription
              - shipping_costs
          type: string
          example: subscription
        amount:
          type: string
          example: '29.99'
        currency:
          type: string
          example: EUR
        interval:
          type: string
          nullable: true
          example: month
        times:
          type: integer
          nullable: true
          example: 12
        wc_product_id:
          type: integer
          nullable: true
          example: 1234
    Error:
      type: object
      required:
        - status
        - error
      properties:
        status:
          type: integer
          example: 404
        error:
          type: string
          example: Resource not found

````